CUDNN Frontend API 8.3.0

Static Public Member Functions | Private Member Functions | List of all members
nlohmann::detail::other_error Class Reference

exception indicating other library errors More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::other_error:
Collaboration diagram for nlohmann::detail::other_error:

## Static Public Member Functions
template<typename BasicJsonType >
static other_error | create (int id_, const std::string &what_arg, const BasicJsonType &context)

## Private Member Functions
| other_error (int id_, const char *what_arg)

## Additional Inherited Members
Public Member Functions inherited from nlohmann::detail::exception
const char * | what () const noexcept override
| returns the explanatory string More...
Public Attributes inherited from nlohmann::detail::exception
const int | id
| the id of the exception More...
Protected Member Functions inherited from nlohmann::detail::exception
| exception (int id_, const char *what_arg)
Static Protected Member Functions inherited from nlohmann::detail::exception
static std::string | name (const std::string &ename, int id_)
template<typename BasicJsonType >
static std::string | diagnostics (const BasicJsonType &leaf_element)

## Detailed Description

exception indicating other library errors

This exception is thrown in case of errors that cannot be classified with the other exception types.

Exceptions have ids 5xx.

name / id | example message | description
--- | --- | ---
json.exception.other_error.501 | unsuccessful: {"op":"test","path":"/baz", "value":"bar"} | A JSON Patch operation 'test' failed. The unsuccessful operation is also printed.

See also
  - exception for the base class of the library exceptions
  - parse_error for exceptions indicating a parse error
  - invalid_iterator for exceptions indicating errors with iterators
  - type_error for exceptions indicating executing a member function with a wrong type
  - out_of_range for exceptions indicating access out of the defined range

{The following code shows how an `other_error` exception can be caught.,other_error}

Since
  version 3.0.0

Definition at line 2999 of file json.hpp.

## Constructor & Destructor Documentation

## ◆ other_error()

nlohmann::detail::other_error::other_error | ( | int | id_,
|  | const char * | what_arg
| ) |  |
| inlineprivate

Definition at line 3011 of file json.hpp.

## Member Function Documentation

## ◆ create()

template<typename BasicJsonType >

static other_error nlohmann::detail::other_error::create | ( | int | id_,
|  | const std::string & | what_arg,
|  | const BasicJsonType & | context
| ) |  |
| inlinestatic

Definition at line 3003 of file json.hpp.

References nlohmann::detail::exception::diagnostics(), JSON_HEDLEY_NON_NULL, nlohmann::detail::exception::name(), and nlohmann::detail::string.

Referenced by nlohmann::basic_json< ObjectType, ArrayType, StringType, BooleanType, NumberIntegerType, NumberUnsignedType, NumberFloatType, AllocatorType, JSONSerializer, BinaryType >::json_value(), and nlohmann::basic_json< ObjectType, ArrayType, StringType, BooleanType, NumberIntegerType, NumberUnsignedType, NumberFloatType, AllocatorType, JSONSerializer, BinaryType >::patch().

The documentation for this class was generated from the following file:

- json.hpp